#ifndef _LED_H
#define _LED_H

struct led_chrdev {
    struct cdev dev;
    unsigned int __iomem *va_dr;
    unsigned int __iomem *va_gdir;
    unsigned int __iomem *va_iomuxc_mux;
    unsigned int __iomem *va_ccm_ccgrx;
    unsigned int __iomem *va_iomux_pad;

    unsigned long pa_dr;
    unsigned long pa_gdir;
    unsigned long pa_iomuxc_mux;
    unsigned long pa_ccm_ccgrx;
    unsigned long pa_iomux_pad;

    unsigned int led_pin;
    unsigned int clock_offset;
};


#define DEV_CNT 3

#ifndef LED_MAJOR
#define LED_MAJOR 0 
#endif


#ifdef LED_DEBUG
#define PDEBUG(fmt, args...) printk(KERN_INFO "led_dev: " fmt, ##args)
#else
#define PDEBUG(fmt, args...)
#endif


#endif